module DoList
  class UrlParser
    class << self
      def parse_url(url)
        URI.parse(url)
      end

      def request_http(uri)
        http = Net::HTTP.new(uri.host, uri.port)
        http.use_ssl = false
        http
      end

      def post_http(http, uri, body, headers)
        result = http.post(uri.path, body, headers)
        Nokogiri::XML(result.body).remove_namespaces!
      end
    end
  end
end
